import { useEffect, useRef } from 'react';
export var usePrevious = function (value) {
    var valueHolderRef = useRef(undefined);
    useEffect(function () {
        valueHolderRef.current = value;
    }, [value]);
    return valueHolderRef.current;
};
